REGULATOR_GET_CURREN(9)

NAME
regulator_get_current_limit - get regulator output current

SYNOPSIS

int regulator_get_current_limit(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

This returns the current supplied by the specified current sink in uA.

NOTE

If the regulator is disabled it will return the current value. This function should not be used to determine regulator state.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT